Update Partner Allocations
This API call allows partners to inform the OES system about an update to an allocation made to one of their connections. This endpoint is only relevant to OES partners that have async allocations enabled.
A successful response indicates that the allocation was successfully updated in the OES system and the funds are cleared (if cleared is passed for status) or released (if released is passed for status).
Requires access token scopes: settlement_network_read, settlement_network_write
Path Params
-
enterpriseIdstring required
Body Params
object
-
allocationIdstring requiredThe unique identifier of the allocation to update. This UUID uniquely identifies the allocation record. -
amountobject requiredThe currency/quantity the allocation was made in. This is a base unit amount. The exact base units depend on the currency (e.g., satoshis for BTC, wei for ETH).amount object
-
currencystring required -
quantitystring required
-
-
clientIdstring requiredThe unique identifier of the client associated with the allocation. This UUID uniquely identifies the client within the BitGo system. -
connectionIdstring requiredThe unique identifier of the connection associated with the allocation. This UUID uniquely identifies the connection between a client and a partner. -
partnersClientIdstring requiredThe unique identifier of the client in the partner system. This value uniquely identifies the client within the partner's system. -
partnersConnectionIdstring requiredThe unique identifier of the connection in the partner system. This value uniquely identifies the connection between a client and a partner in the partner's system. -
partnersAllocationIdstring requiredThe unique identifier of the allocation in the partner system. This value uniquely identifies the allocation record within the partner's system. -
evaluationIdstringThe unique identifier of the policy evaluation for this deallocation. Present when policy evaluation was performed as part of the deallocation update flow. -
pendingApprovalIdstringThe unique identifier of the pending approval for this deallocation. Present when policy evaluation resulted in a PENDING status requiring manual approval. -
policyResultstring enumThe result of the policy evaluation for this deallocation.
- APPROVED: Policy evaluation passed and the operation was allowed
- REJECTED: Policy evaluation failed and the operation was denied Not present if no policy evaluation was performed or if evaluation is still pending.
approvedrejected -
statusstring enum requiredThe status to update the allocation to. The status can be either 'cleared' or 'released'. If the status is 'released', a reason for the release must be provided in the form of a non-empty string.clearedreleased -
noncestring requiredUnique nonce to prevent replay attacks.
This value:
- Must be unique for each request requiring a nonce.
- Should be a cryptographically strong random value.
- Is used as part of the request signing process.
- Helps ensure the signature can only be used once.
-
rejectReasonstringThe reason for releasing the allocation. -
payloadstring requiredPayload formed by stringifying the object containing all other request properties.
This includes:
- status
- rejectReason (only if status is 'released')
- allocationId
- amount
- clientId
- connectionId
- partnersClientId
- partnersConnectionId
- partnersAllocationId
- nonce
The payload must be signed using your BitGo account's private key to create the signature parameter.
-
signaturestring requiredDigital signature of the payload parameter.
This signature:
- Must be created using your BitGo account's private key.
- Verifies that the request is authentic and hasn't been tampered with.
- Provides non-repudiation for the allocation request.
Responses
200
OK
Response Body
object
-
allocationIdstring requiredThe unique identifier of the allocation to update. This UUID uniquely identifies the allocation record. -
amountobject requiredThe currency/quantity the allocation was made in. This is a base unit amount. The exact base units depend on the currency (e.g., satoshis for BTC, wei for ETH).amount object
-
currencystring required -
quantitystring required
-
-
clientIdstring requiredThe unique identifier of the client associated with the allocation. This UUID uniquely identifies the client within the BitGo system. -
connectionIdstring requiredThe unique identifier of the connection associated with the allocation. This UUID uniquely identifies the connection between a client and a partner. -
partnersClientIdstring requiredThe unique identifier of the client in the partner system. This value uniquely identifies the client within the partner's system. -
partnersConnectionIdstring requiredThe unique identifier of the connection in the partner system. This value uniquely identifies the connection between a client and a partner in the partner's system. -
partnersAllocationIdstring requiredThe unique identifier of the allocation in the partner system. This value uniquely identifies the allocation record within the partner's system. -
evaluationIdstringThe unique identifier of the policy evaluation for this deallocation. Present when policy evaluation was performed as part of the deallocation update flow. -
pendingApprovalIdstringThe unique identifier of the pending approval for this deallocation. Present when policy evaluation resulted in a PENDING status requiring manual approval. -
policyResultstring enumThe result of the policy evaluation for this deallocation.
- APPROVED: Policy evaluation passed and the operation was allowed
- REJECTED: Policy evaluation failed and the operation was denied Not present if no policy evaluation was performed or if evaluation is still pending.
approvedrejected
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
409
Conflict
Response Body
object
-
errorstring required
422
Unprocessable Entity
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required